sc::ScaledTorsSimpleCo(3)

NAME
sc::ScaledTorsSimpleCo -

The ScaledTorsSimpleCo class describes an scaled torsion internal coordinate of a molecule'.

SYNOPSIS

#include <simple.h>

Inherits sc::SimpleCo'.

  Public Member Functions
ScaledTorsSimpleCo (const ScaledTorsSimpleCo &)
ScaledTorsSimpleCo (const char *refr, int, int, int, int)
This constructor takes a string containing a label, and four integers a, b, c, and d which give the indices of the atoms involved in the torsion angle abcd'.
ScaledTorsSimpleCo (const Ref< KeyVal > &)
The KeyVal constructor'.
const char * ctype () const
Always returns the string 'TORS''.
double radians () const
Returns the value of the angle abc in radians'.
double degrees () const
Returns the value of the angle abc in degrees'.
double preferred_value () const
Returns the value of the angle abc in degrees'.

Detailed Description

The ScaledTorsSimpleCo class describes an scaled torsion internal coordinate of a molecule'. The scaled torsion is more stable that ordinary torsions (see the TorsSimpleCo class) in describing situations where one of the torsions plane's is given by three near linear atoms'.

Designating the four atoms as $a$, $b$, $c$, and $d$ and their cartesian positions as $r$, $rr{r}_c$, and $rlue of the coordinate, $ au_s$, is given by

rb} = ac{r - rr{r}_a - rr{u}_{cb} = ac{rr{r}_b}{ rr{r}_b }] rc{rr{r}_d}{ rr{r}_b }] rbc}= ac{rb} imes rr{u}_{ab} imes rr{n}_{bcd}= ac{rr{u}_{cb}} { rr{u}_{cb} }] s = gin{array}{ll} -1 & ox{if $(rbc} imesrr{u}_{cb} > 0$} \ 1 & ox{otherwise} \nd{array} ight. ] au_s = s qrt{ft(1-(rr{u}_{cd}ight)^2)} rccos ( - rbc}

Constructor & Destructor Documentation

  sc::ScaledTorsSimpleCo::ScaledTorsSimpleCo (const char *refr, int, int, int, int)

This constructor takes a string containing a label, and four integers a, b, c, and d which give the indices of the atoms involved in the torsion angle abcd'. Atom numbering begins at atom 1, not atom 0'.

  sc::ScaledTorsSimpleCo::ScaledTorsSimpleCo (const Ref< KeyVal > &)

The KeyVal constructor'. This calls the SimpleCo keyval constructor with an integer argument of 4'.

Author

Generated automatically by Doxygen for MPQC from the source code'.